{% trans_default_domain 'FOSUserBundle' %}
<div id="main" class="mt-3">
    <div class="row justify-content-md-center">
        <div class="green accent-1 border border-info rounded pt-2 col-12 col-md-6 col-lg-5 col-xl-4">
            {% if error is defined and error %}
            <div class="alert alert-danger alert-dismissible fade show align-center mb-4" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <span class="bold">{{ error.messageKey|trans(error.messageData, 'security') }}</span>
            </div>
            {% endif %}
            <h1>{{ 'layout.login'|trans }}</h1>
            <form method="post">
                <input type="hidden" name="_csrf_token"
                       value="{{ csrf_token('authenticate') }}"
                >
                <div class="md-form mt-3">
                    <input class="form-control" type="text" id="username" name="username" value="{{ last_username }}" required="required"/>
                    <label class="control-label control-label required" for="username">{{ 'security.login.username'|trans }}</label>
                </div>

                <div class="md-form mt-3">
                    <input class="form-control" type="password" id="password" name="password" required="required" autocomplete="new-password" />
                    <label class="control-label control-label required" for="password">{{ 'security.login.password'|trans }}</label>
                </div>

                <div class="md-form mt-3">
                    <input class="form-check-input" type="checkbox" id="remember_me" name="_remember_me" value="on" checked/>
                    <label for="remember_me" class="mb-0">{{ 'security.login.remember_me'|trans }}</label>
                </div>
                <div class="md-form mt-3">
                    <button class="btn btn-info btn-block" type="submit" id="submit" name="submit">
                        <i class="far fa-sign-in-alt"></i> {{ 'security.login.submit'|trans }}
                    </button>
                </div>
{#                    ['success', path("fos_user_registration_register"), 'fa-external-link-alt', 'registration.submit'|trans],#}
                {% set btns = [
                    ['warning', path("app_forgot_password_request"), 'fa-key', 'resetting.request.submit'|trans],
                    ['success', path("app_register"), 'fa-external-link-alt', 'registration.submit'|trans]
                ] %}

                {% for btn in btns %}
                    <div class="md-form mt-3">
                        <a class="btn btn-{{ btn[0] }} col-sm-12 m-0" href="{{ btn[1] }}">
                            <i class="far {{ btn[2] }}"></i> {{ btn[3] }}
                        </a>
                    </div>
                {% endfor %}
            </form>
        </div>
    </div>
</div>
